Bug 972708 - Some KPI panels configured to use Flash as a renderer
Some KPI panels configured to use Flash as a renderer
Status: CLOSED NOTABUG
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity low
: ER6
: 6.0.0
Assigned To: David Gutierrez
Jan Hrcek
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 08:45 EDT by Jan Hrcek
Modified: 2014-03-20 05:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-20 15:10:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RH Branding instructions (219.27 KB, application/zip)
2013-07-01 11:50 EDT, David Gutierrez
no flags Details
Expense report dashboard (RH BPMS product look&feel) (91.56 KB, image/png)
2013-07-01 11:51 EDT, David Gutierrez
no flags Details
Open flash chart 2 enabled in BPMS (194.50 KB, image/png)
2013-12-02 02:22 EST, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-06-10 08:45:21 EDT
Description of problem:
There are some KPI panels in the current configuration of dashbuilder that use Flash to render charts. Based on PM discussion that took place last year it was agreed, that all charts will be rendered using something different than Flash.

Please make sure all KPI panels in the application are initially configured to use something different than flash (supposedly NVD3).

Version-Release number of selected component (if applicable):
6.0.0 DR5

How reproducible:
always

Steps to Reproduce:
1. build and start dashbuilder
2. login with user with admin role and navigate to page "Expense reports" in workspace "Showcase"

Actual results:
The KPI panels are configured to display data using Renderer: "Open Flash Chart 2"

Expected results:
The KPI panels should be configured to use NVD3 as a renderer.
Comment 1 David Gutierrez 2013-06-13 05:18:48 EDT
IMO having the ability of render charts choose between Flash/NVD3 is a plus for customers.

We decided in the past to add the NVD3 renderer as the default HTML5 chart renderer. We could have removed it but we decided to provide a pluggable rendering mechanism and keep the legacy flash renderer instead of remove it completely.

The purpose of the expense reports dashboard is to show the ability of Dashuilder to render charts in a different charting technology. IMO is very valuable to keep that as it is today.
Comment 2 David Gutierrez 2013-07-01 11:50:30 EDT
Created attachment 767447 [details]
RH Branding instructions
Comment 3 David Gutierrez 2013-07-01 11:51:48 EDT
Created attachment 767448 [details]
Expense report dashboard (RH BPMS product look&feel)
Comment 4 David Gutierrez 2013-07-01 11:55:15 EDT
As agreed by PM, QA and Eng,  we have did the following:

1.- Keep the flash chart provider at the community level, as an example of integrating other types of charting libraries.

2.- Disable it for BPMS product and remove it from the Expense report example. 


As a result, the BPMS product will have a customized UI. One part of this customization is to disable the "flash renderer" and also replace the flash charts by NVD3 on the expense reports sample dashboard. All the details of such customization can be found on the attached zip file. This zip file has already been sent to the productization team so that the can manage the UI branding tasks properly.

I've also attached an screenshoot of the NVD3 version of the expense reports sample to see how it'll look like after applying the RH branding.
Comment 6 Jan Hrcek 2013-09-04 03:43:42 EDT
Verified with BPMS 6.0.0 ER2
Comment 10 Jan Hrcek 2013-12-02 02:21:29 EST
This problem reappeared in BPMS 6.0.0 ER5. In comment 4 it has been established, that 'Open Flash chart 2' will be disabled as a KPI chart renderer. Yet in ER5 it is now possible to select it when editting KPI panel contents (see screenshot attached)
Comment 11 Jan Hrcek 2013-12-02 02:22:21 EST
Created attachment 831458 [details]
Open flash chart 2 enabled in BPMS
Comment 12 Pedro Zapata 2013-12-02 04:30:59 EST
I believe the opposite was agreed on (see https://bugzilla.redhat.com/show_bug.cgi?id=1014477)

After discussion in the PM-List, Open Flash were enabled again as requested by Prakash.

If this needs to be re-evaluated again, please raise it in the PM calls and report BZ to remove them again.
Comment 13 Jan Hrcek 2013-12-02 05:42:24 EST
I'm sorry, I was not aware of the PM decision to make Flash charts available in BPMS product. It is true, that we have no way of automatically testing the flash charts. But if PM agrees, then this bugzilla can be moved to status verified again.

Note You need to log in before you can comment on or make changes to this bug.